<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:42 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>BiometricDTO (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BiometricDTO (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/BiometricDTO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../io/mosip/registration/dto/biometric/BiometricExceptionDTO.html" title="class in io.mosip.registration.dto.biometric"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/dto/biometric/BiometricDTO.html" target="_top">Frames</a></li>
<li><a href="BiometricDTO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">io.mosip.registration.dto.biometric</div>
<h2 title="Class BiometricDTO" class="title">Class BiometricDTO</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../io/mosip/registration/dto/BaseDTO.html" title="class in io.mosip.registration.dto">io.mosip.registration.dto.BaseDTO</a></li>
<li>
<ul class="inheritance">
<li>io.mosip.registration.dto.biometric.BiometricDTO</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">BiometricDTO</span>
extends <a href="../../../../../io/mosip/registration/dto/BaseDTO.html" title="class in io.mosip.registration.dto">BaseDTO</a></pre>
<div class="block">This class contains the Biometric details</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>1.0.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Dinesh Asokan</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/biometric/BiometricDTO.html#BiometricDTO--">BiometricDTO</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/biometric/BiometricInfoDTO.html" title="class in io.mosip.registration.dto.biometric">BiometricInfoDTO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/biometric/BiometricDTO.html#getApplicantBiometricDTO--">getApplicantBiometricDTO</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/biometric/BiometricInfoDTO.html" title="class in io.mosip.registration.dto.biometric">BiometricInfoDTO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/biometric/BiometricDTO.html#getIntroducerBiometricDTO--">getIntroducerBiometricDTO</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/biometric/BiometricInfoDTO.html" title="class in io.mosip.registration.dto.biometric">BiometricInfoDTO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/biometric/BiometricDTO.html#getOperatorBiometricDTO--">getOperatorBiometricDTO</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/biometric/BiometricInfoDTO.html" title="class in io.mosip.registration.dto.biometric">BiometricInfoDTO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/biometric/BiometricDTO.html#getSupervisorBiometricDTO--">getSupervisorBiometricDTO</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/biometric/BiometricDTO.html#setApplicantBiometricDTO-io.mosip.registration.dto.biometric.BiometricInfoDTO-">setApplicantBiometricDTO</a></span>(<a href="../../../../../io/mosip/registration/dto/biometric/BiometricInfoDTO.html" title="class in io.mosip.registration.dto.biometric">BiometricInfoDTO</a>&nbsp;applicantBiometricDTO)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/biometric/BiometricDTO.html#setIntroducerBiometricDTO-io.mosip.registration.dto.biometric.BiometricInfoDTO-">setIntroducerBiometricDTO</a></span>(<a href="../../../../../io/mosip/registration/dto/biometric/BiometricInfoDTO.html" title="class in io.mosip.registration.dto.biometric">BiometricInfoDTO</a>&nbsp;introducerBiometricDTO)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/biometric/BiometricDTO.html#setOperatorBiometricDTO-io.mosip.registration.dto.biometric.BiometricInfoDTO-">setOperatorBiometricDTO</a></span>(<a href="../../../../../io/mosip/registration/dto/biometric/BiometricInfoDTO.html" title="class in io.mosip.registration.dto.biometric">BiometricInfoDTO</a>&nbsp;operatorBiometricDTO)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dto/biometric/BiometricDTO.html#setSupervisorBiometricDTO-io.mosip.registration.dto.biometric.BiometricInfoDTO-">setSupervisorBiometricDTO</a></span>(<a href="../../../../../io/mosip/registration/dto/biometric/BiometricInfoDTO.html" title="class in io.mosip.registration.dto.biometric">BiometricInfoDTO</a>&nbsp;supervisorBiometricDTO)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="BiometricDTO--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BiometricDTO</h4>
<pre>public&nbsp;BiometricDTO()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getApplicantBiometricDTO--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getApplicantBiometricDTO</h4>
<pre>public&nbsp;<a href="../../../../../io/mosip/registration/dto/biometric/BiometricInfoDTO.html" title="class in io.mosip.registration.dto.biometric">BiometricInfoDTO</a>&nbsp;getApplicantBiometricDTO()</pre>
</li>
</ul>
<a name="setApplicantBiometricDTO-io.mosip.registration.dto.biometric.BiometricInfoDTO-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setApplicantBiometricDTO</h4>
<pre>public&nbsp;void&nbsp;setApplicantBiometricDTO(<a href="../../../../../io/mosip/registration/dto/biometric/BiometricInfoDTO.html" title="class in io.mosip.registration.dto.biometric">BiometricInfoDTO</a>&nbsp;applicantBiometricDTO)</pre>
</li>
</ul>
<a name="getIntroducerBiometricDTO--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIntroducerBiometricDTO</h4>
<pre>public&nbsp;<a href="../../../../../io/mosip/registration/dto/biometric/BiometricInfoDTO.html" title="class in io.mosip.registration.dto.biometric">BiometricInfoDTO</a>&nbsp;getIntroducerBiometricDTO()</pre>
</li>
</ul>
<a name="setIntroducerBiometricDTO-io.mosip.registration.dto.biometric.BiometricInfoDTO-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setIntroducerBiometricDTO</h4>
<pre>public&nbsp;void&nbsp;setIntroducerBiometricDTO(<a href="../../../../../io/mosip/registration/dto/biometric/BiometricInfoDTO.html" title="class in io.mosip.registration.dto.biometric">BiometricInfoDTO</a>&nbsp;introducerBiometricDTO)</pre>
</li>
</ul>
<a name="getSupervisorBiometricDTO--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSupervisorBiometricDTO</h4>
<pre>public&nbsp;<a href="../../../../../io/mosip/registration/dto/biometric/BiometricInfoDTO.html" title="class in io.mosip.registration.dto.biometric">BiometricInfoDTO</a>&nbsp;getSupervisorBiometricDTO()</pre>
</li>
</ul>
<a name="setSupervisorBiometricDTO-io.mosip.registration.dto.biometric.BiometricInfoDTO-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSupervisorBiometricDTO</h4>
<pre>public&nbsp;void&nbsp;setSupervisorBiometricDTO(<a href="../../../../../io/mosip/registration/dto/biometric/BiometricInfoDTO.html" title="class in io.mosip.registration.dto.biometric">BiometricInfoDTO</a>&nbsp;supervisorBiometricDTO)</pre>
</li>
</ul>
<a name="getOperatorBiometricDTO--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOperatorBiometricDTO</h4>
<pre>public&nbsp;<a href="../../../../../io/mosip/registration/dto/biometric/BiometricInfoDTO.html" title="class in io.mosip.registration.dto.biometric">BiometricInfoDTO</a>&nbsp;getOperatorBiometricDTO()</pre>
</li>
</ul>
<a name="setOperatorBiometricDTO-io.mosip.registration.dto.biometric.BiometricInfoDTO-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setOperatorBiometricDTO</h4>
<pre>public&nbsp;void&nbsp;setOperatorBiometricDTO(<a href="../../../../../io/mosip/registration/dto/biometric/BiometricInfoDTO.html" title="class in io.mosip.registration.dto.biometric">BiometricInfoDTO</a>&nbsp;operatorBiometricDTO)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/BiometricDTO.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../io/mosip/registration/dto/biometric/BiometricExceptionDTO.html" title="class in io.mosip.registration.dto.biometric"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/dto/biometric/BiometricDTO.html" target="_top">Frames</a></li>
<li><a href="BiometricDTO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
